All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.util.transforms
Class ToDataSourceTransform

    com.sas.util.transforms.ToDataSourceTransform

All Implemented Interfaces:
  com.sas.lang.StringDataInterface, com.sas.util.transforms.TransformInterface, java.io.Serializable

Direct Known Subclasses:
  PrintableInterfaceToPDFDataSourceTransform, TableDataToCSVDataSourceTransform

    public abstract class ToDataSourceTransform

implements com.sas.util.transforms.TransformInterface, java.io.Serializable, com.sas.lang.StringDataInterface

See Also:
  Serialized Form

Field Summary
`protected int` | `count`
`protected java.lang.String` | `dataSourceName`
`protected java.lang.String` | `defaultName`
`protected java.lang.String` | `extension`
`protected java.lang.String` | `text`

Constructor Summary
`ToDataSourceTransform()`

Method Summary
`java.lang.String` | `getExtension()`
`protected java.lang.String` | `getFullName()`
`java.lang.String` | `getName()`
`java.lang.String` | `getText()`
`void` | `setName(java.lang.String name)`
`void` | `setText(java.lang.String txt)`
`abstract java.lang.Object` | `transform(java.lang.Object object)`

Field Detail

### extension

    protected java.lang.String extension

### defaultName

    protected java.lang.String defaultName

### dataSourceName

    protected transient java.lang.String dataSourceName

### text

    protected java.lang.String text

### count

    protected int count

Constructor Detail

### ToDataSourceTransform

    public ToDataSourceTransform()

Method Detail

### getFullName

    protected java.lang.String getFullName()

### getExtension

    public java.lang.String getExtension()

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getText

    public java.lang.String getText()

  Specified by:
    `getText` in interface `com.sas.lang.StringDataInterface`

### setText

    public void setText(java.lang.String txt)

  Specified by:
    `setText` in interface `com.sas.lang.StringDataInterface`

### transform

    public abstract java.lang.Object transform(java.lang.Object object)
                                        throws com.sas.util.transforms.TransformException

  Specified by:
    `transform` in interface `com.sas.util.transforms.TransformInterface`
  Throws:
    `com.sas.util.transforms.TransformException`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.